import { resolveDirective as _resolveDirective, createVNode as _createVNode, resolveComponent as _resolveComponent } from "vue";
import { defineComponent } from 'vue';
export var MySearchSubmitButton = defineComponent({
  //搜索按钮
  props: {
    title: {
      type: String,
      "default": '搜索'
    },
    icon: {
      type: String,
      "default": 'search'
    },
    color: {
      type: String,
      "default": '#FFF'
    },
    type: {
      type: String,
      "default": 'default'
    },
    disabled: {
      type: Boolean,
      "default": false
    }
  },
  setup: function setup(props) {
    return function () {
      return _createVNode(_resolveComponent("a-form-item"), null, {
        "default": function _default() {
          return [_createVNode(_resolveComponent("a-button"), {
            "type": props.type,
            "disabled": props.disabled,
            "html-type": "submit"
          }, {
            "default": function _default() {
              return [props.title];
            },
            icon: function icon() {
              return _createVNode(_resolveComponent("my-icon"), {
                "style": "position:relative;top:-2px;",
                "icon": props.icon,
                "color": props.color
              }, null);
            }
          })];
        }
      });
    };
  }
});
export var MyBasisButton = defineComponent({
  //基本按钮
  props: {
    title: {
      type: String,
      "default": '默认'
    },
    icon: {
      type: String,
      "default": ''
    },
    color: {
      type: String,
      "default": '#FFF'
    },
    type: {
      type: String,
      "default": 'default'
    },
    disabled: {
      type: Boolean,
      "default": false
    },
    onClick: {
      type: undefined
    }
  },
  emits: ['click'],
  setup: function setup(props, _ref) {
    var emit = _ref.emit;
    return function () {
      return _createVNode(_resolveComponent("a-button"), {
        "type": props.type,
        "disabled": props.disabled,
        "onClick": function onClick() {
          emit('click');
        }
      }, {
        "default": function _default() {
          return [props.title];
        },
        icon: function icon() {
          return props.icon ? _createVNode(_resolveComponent("my-icon"), {
            "style": "position:relative;top:-2px;",
            "icon": props.icon,
            "color": props.color
          }, null) : '';
        }
      });
    };
  }
});
export var MyDeleteButton = defineComponent({
  //带二次确认按钮
  props: {
    popTitle: {
      type: String,
      "default": '确定要删除？'
    },
    title: {
      type: String,
      "default": '删除'
    },
    disabled: {
      type: Boolean,
      "default": false
    },
    icon: {
      type: String,
      defualt: 'delete'
    },
    color: {
      type: String,
      "default": '#fff'
    },
    onConfirm: {
      type: undefined
    }
  },
  emits: ['confirm'],
  setup: function setup(props, _ref2) {
    var emit = _ref2.emit;
    return function () {
      return _createVNode(_resolveComponent("a-popconfirm"), {
        "title": props.popTitle,
        "disabled": props.disabled,
        "ok-text": "是",
        "cancel-text": "否",
        "onConfirm": function onConfirm() {
          emit('confirm');
        }
      }, {
        "default": function _default() {
          return [_createVNode(_resolveComponent("a-button"), {
            "danger": true,
            "disabled": props.disabled
          }, {
            "default": function _default() {
              return [props.title];
            },
            icon: function icon() {
              return props.icon ? _createVNode(_resolveComponent("my-icon"), {
                "style": "position:relative;top:-2px;",
                "icon": props.icon,
                "color": props.color
              }, null) : '';
            }
          })];
        }
      });
    };
  }
});