import { resolveComponent as _resolveComponent, createTextVNode as _createTextVNode, createVNode as _createVNode } from "vue";
import { defineComponent, reactive } from 'vue';
import { Form } from 'ant-design-vue';
import './login.less';
var useForm = Form.useForm;
export var MyLogin = defineComponent({
  name: 'login',
  props: {
    loading: {
      type: Boolean,
      "default": false
    },
    onChange: {
      type: undefined
    }
  },
  setup: function setup(props, _ref) {
    var emit = _ref.emit;
    var form = {
      models: reactive({
        username: undefined,
        password: undefined
      }),
      rules: reactive({
        username: [{
          required: true,
          min: 3,
          max: 15,
          trigger: 'change',
          type: 'string',
          message: '请输入账户名！3-15位！'
        }],
        password: [{
          required: true,
          min: 6,
          trigger: 'change',
          type: 'string',
          message: '请输入密码！最低6位数！'
        }]
      })
    };

    var _useForm = useForm(form.models, form.rules),
        validate = _useForm.validate,
        validateInfos = _useForm.validateInfos;

    var onSubmit = function onSubmit(e) {
      e.preventDefault();
      validate().then(function () {
        emit('change', form.models);
      });
    };

    return function () {
      return _createVNode("div", {
        "class": "loginBody"
      }, [_createVNode("div", {
        "class": "loginContent"
      }, [_createVNode("div", {
        "class": "loginForm"
      }, [_createVNode("div", {
        "class": "login_left"
      }, null), _createVNode("div", {
        "class": "login_right"
      }, [_createVNode("div", {
        "class": "title"
      }, [_createTextVNode("\u7BA1\u7406\u5458\u767B\u5F55")]), _createVNode("div", null, [_createVNode(_resolveComponent("a-form"), {
        "wrapperCol": {
          span: 24
        }
      }, {
        "default": function _default() {
          return [_createVNode(_resolveComponent("a-form-item"), validateInfos['username'], {
            "default": function _default() {
              return [_createVNode(_resolveComponent("a-input"), {
                "placeholder": "登录账号",
                'value': form.models.username,
                "onUpdate:value": function onUpdateValue($event) {
                  return form.models.username = $event;
                },
                "size": "large",
                "addonBefore": function addonBefore() {
                  return _createVNode("div", {
                    "style": "height:21px;"
                  }, [_createVNode(_resolveComponent("my-icon"), {
                    "icon": "user",
                    "size": 19,
                    "color": "#f00"
                  }, null)]);
                }
              }, null)];
            }
          }), _createVNode(_resolveComponent("a-form-item"), validateInfos['password'], {
            "default": function _default() {
              return [_createVNode(_resolveComponent("a-input"), {
                "type": "password",
                "size": "large",
                "placeholder": "登录密码",
                'value': form.models.password,
                "onUpdate:value": function onUpdateValue($event) {
                  return form.models.password = $event;
                },
                "addonBefore": function addonBefore() {
                  return _createVNode("div", {
                    "style": "height:21px;"
                  }, [_createVNode(_resolveComponent("my-icon"), {
                    "icon": "lock",
                    "size": 19,
                    "color": "gray"
                  }, null)]);
                }
              }, null)];
            }
          }), _createVNode(_resolveComponent("a-form-item"), null, {
            "default": function _default() {
              return [_createVNode(_resolveComponent("a-button"), {
                "type": "primary",
                "size": "large",
                "style": "width:100%",
                "html-type": "submit",
                "loading": props.loading,
                "onClick": onSubmit
              }, {
                "default": function _default() {
                  return [_createTextVNode("\u767B\u5F55")];
                }
              })];
            }
          })];
        }
      })])])])])]);
    };
  }
});