import { createVNode as _createVNode, resolveComponent as _resolveComponent } from "vue";
import { defineComponent, ref, watchEffect } from "vue";
export var MyPagination = defineComponent({
  props: {
    data: {
      type: Object,
      required: true
    },
    onChange: {
      type: undefined
    }
  },
  emits: ["change"],
  setup: function setup(props, context) {
    var page = ref({});

    var onChange = function onChange(current, pageSize) {
      context.emit("change", {
        page: current,
        perPage: pageSize
      });
    };

    var onShowSizeChange = function onShowSizeChange(current, pageSize) {
      console.log(current);
      context.emit("change", {
        page: 1,
        perPage: pageSize
      });
    };

    watchEffect(function () {
      if (props.data) {
        page.value = props.data;
      }
    });
    return function () {
      return _createVNode("div", {
        "class": "pageContent"
      }, [_createVNode(_resolveComponent("a-pagination"), {
        "current": page.value.current_page,
        "pageSize": page.value.per_page,
        "total": page.value.total,
        "showSizeChanger": true,
        "showTotal": function showTotal(total) {
          return "\u5171 ".concat(total, " \u6761");
        },
        "pageSizeOptions": ["10", "20", "50", "100", "200", "500", "10000"],
        "onChange": onChange,
        "onShowSizeChange": onShowSizeChange,
        "class": "pagination"
      }, null)]);
    };
  }
});