import { createVNode as _createVNode, resolveComponent as _resolveComponent } from "vue";
import { defineComponent } from 'vue';
import { useVModel } from '@vueuse/core';
export var MyRadioButton = defineComponent({
  props: {
    items: Array,
    value: [Number, String],
    disabled: {
      type: Boolean,
      "default": false
    }
  },
  setup: function setup(props, _ref) {
    var emit = _ref.emit;
    var selected = useVModel(props, 'value', emit);
    return function () {
      var _a;

      return _createVNode(_resolveComponent("a-radio-group"), {
        'value': selected.value,
        "onUpdate:value": function onUpdateValue($event) {
          return selected.value = $event;
        },
        "disabled": props.disabled
      }, {
        "default": function _default() {
          return [(_a = props.items) === null || _a === void 0 ? void 0 : _a.map(function (res) {
            return _createVNode(_resolveComponent("a-radio-button"), {
              "value": res.value
            }, {
              "default": function _default() {
                return [res.label];
              }
            });
          })];
        }
      });
    };
  }
});
export var MyRadio = defineComponent({
  props: {
    items: Array,
    value: [String, Number],
    disabled: {
      type: Boolean,
      "default": false
    }
  },
  setup: function setup(props, _ref2) {
    var emit = _ref2.emit;
    var selected = useVModel(props, 'value', emit);
    return function () {
      var _a;

      return _createVNode(_resolveComponent("a-radio-group"), {
        'value': selected.value,
        "onUpdate:value": function onUpdateValue($event) {
          return selected.value = $event;
        },
        "disabled": props.disabled
      }, {
        "default": function _default() {
          return [(_a = props.items) === null || _a === void 0 ? void 0 : _a.map(function (res) {
            return _createVNode(_resolveComponent("a-radio"), {
              "value": res.value
            }, {
              "default": function _default() {
                return [res.label];
              }
            });
          })];
        }
      });
    };
  }
});