import { createVNode as _createVNode, resolveComponent as _resolveComponent } from "vue";
import { defineComponent } from 'vue';
import { useVModel } from '@vueuse/core';
export var MySelect = defineComponent({
  props: {
    items: Array,
    value: [Number, String],
    placeholder: {
      type: String,
      "default": '请选择'
    },
    width: {
      type: String,
      "default": '200px'
    }
  },
  setup: function setup(props, _ref) {
    var emit = _ref.emit;
    var selected = useVModel(props, 'value', emit);
    return function () {
      var _a;

      return _createVNode(_resolveComponent("a-select"), {
        "style": {
          width: props.width
        },
        'value': selected.value,
        "onUpdate:value": function onUpdateValue($event) {
          return selected.value = $event;
        },
        "allowClear": true,
        "placeholder": props.placeholder
      }, {
        "default": function _default() {
          return [(_a = props.items) === null || _a === void 0 ? void 0 : _a.map(function (res) {
            return _createVNode(_resolveComponent("a-select-option"), {
              "value": res.value
            }, {
              "default": function _default() {
                return [res.name];
              }
            });
          })];
        }
      });
    };
  }
});
export var MyMultipleSelect = defineComponent({
  props: {
    items: Array,
    value: Array || undefined,
    placeholder: {
      type: String,
      "default": '请选择'
    },
    width: {
      type: String,
      "default": '200px'
    }
  },
  setup: function setup(props, _ref2) {
    var emit = _ref2.emit;
    var selected = useVModel(props, 'value', emit);
    return function () {
      var _a;

      return _createVNode(_resolveComponent("a-select"), {
        "style": {
          width: props.width
        },
        "mode": "multiple",
        'value': selected.value,
        "onUpdate:value": function onUpdateValue($event) {
          return selected.value = $event;
        },
        "allowClear": true,
        "placeholder": props.placeholder
      }, {
        "default": function _default() {
          return [(_a = props.items) === null || _a === void 0 ? void 0 : _a.map(function (res) {
            return _createVNode(_resolveComponent("a-select-option"), {
              "value": res.value
            }, {
              "default": function _default() {
                return [res.name];
              }
            });
          })];
        }
      });
    };
  }
});