import { createVNode as _createVNode, resolveComponent as _resolveComponent } from "vue";
import { defineComponent, ref } from 'vue';
import { useVModel } from '@vueuse/core';
var shoekey = {
  title: 'label',
  key: 'id',
  value: 'id',
  children: 'children'
};
export var MyTreeSelect = defineComponent({
  props: {
    items: Array,
    showkey: {
      type: Object,
      "default": shoekey
    },
    value: [Number, String],
    placeholder: {
      type: String,
      "default": '请选择'
    },
    allowClear: {
      type: Boolean,
      "default": false
    },
    width: {
      type: String,
      "default": '200px'
    }
  },
  setup: function setup(props, _ref) {
    var emit = _ref.emit;
    var selected = useVModel(props, 'value', emit);
    var dro = ref({
      maxHeight: '500px',
      overflow: 'auto'
    });
    return function () {
      return _createVNode(_resolveComponent("a-tree-select"), {
        'value': selected.value,
        "onUpdate:value": function onUpdateValue($event) {
          return selected.value = $event;
        },
        "replaceFields": props.showkey,
        "dropdown-style": dro.value,
        "tree-data": props.items,
        "allowClear": props.allowClear,
        "placeholder": props.placeholder,
        "tree-default-expand-all": true,
        "style": {
          width: props.width
        }
      }, null);
    };
  }
});