"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MyInputTable = void 0;

var _vue = require("vue");

var _core = require("@vueuse/core");

require("./input_key.less");

var MyInputTable = (0, _vue.defineComponent)({
  props: {
    header: Array,
    value: Array || undefined,
    hidekey: {
      type: String,
      "default": ''
    },
    onDelete: {
      type: undefined
    }
  },
  emits: ['delete'],
  setup: function setup(props, _ref) {
    var emit = _ref.emit;
    var selected = (0, _core.useVModel)(props, 'value', emit);

    var objectKey = function objectKey(i, res) {
      return (0, _vue.createVNode)("div", {
        "class": "table_hr_td"
      }, [(0, _vue.createVNode)((0, _vue.resolveComponent)("a-input"), {
        'value': res[i],
        "onUpdate:value": function onUpdateValue($event) {
          return res[i] = $event;
        },
        "placeholder": "请输入"
      }, null)]);
    };

    return function () {
      var _a, _b;

      return (0, _vue.createVNode)("div", {
        "class": "input_key_cont"
      }, [(0, _vue.createVNode)("div", {
        "class": "table_header"
      }, [(_a = props.header) === null || _a === void 0 ? void 0 : _a.map(function (res) {
        return (0, _vue.createVNode)("div", {
          "class": "table_td"
        }, [res.label]);
      })]), (0, _vue.createVNode)("div", {
        "class": "table_body"
      }, [(_b = selected.value) === null || _b === void 0 ? void 0 : _b.map(function (res, index) {
        var _a;

        return (0, _vue.createVNode)("div", {
          "class": "table_hr"
        }, [(_a = Object.keys(res)) === null || _a === void 0 ? void 0 : _a.map(function (i) {
          var _a;

          if (!(((_a = props.hidekey) === null || _a === void 0 ? void 0 : _a.indexOf(i)) > -1)) {
            return objectKey(i, res);
          }
        }), (0, _vue.createVNode)("div", {
          "class": "table_hr_td"
        }, [(0, _vue.createVNode)((0, _vue.resolveComponent)("a-button"), {
          "type": "danger",
          "size": "small",
          "onClick": function onClick() {
            emit('delete', index, res);
          }
        }, {
          "default": function _default() {
            return [(0, _vue.createTextVNode)("\u5220\u9664")];
          }
        })])]);
      })])]);
    };
  }
});
exports.MyInputTable = MyInputTable;