"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MyModal = void 0;

var _vue = require("vue");

var _core = require("@vueuse/core");

var MyModal = (0, _vue.defineComponent)({
  props: {
    show: {
      type: Boolean,
      "default": false
    },
    title: {
      type: String,
      "default": '弹窗'
    },
    width: {
      type: String,
      "default": '700px'
    },
    form: {
      type: Object
    }
  },
  setup: function setup(props, _ref) {
    var emit = _ref.emit;
    var show = (0, _core.useVModel)(props, 'show', emit);

    var onCancel = function onCancel() {
      show.value = false;
    };

    return function () {
      return (0, _vue.createVNode)(_vue.Teleport, {
        "to": "#app"
      }, {
        "default": function _default() {
          return [(0, _vue.createVNode)((0, _vue.resolveComponent)("a-modal"), {
            "title": props.title,
            "visible": show.value,
            "footer": null,
            "width": props.width,
            "maskClosable": false,
            "keyboard": false,
            "destroyOnClose": true,
            "onCancel": onCancel
          }, {
            "default": function _default() {
              return [props.form];
            }
          })];
        }
      });
    };
  }
});
exports.MyModal = MyModal;