"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MyPagination = void 0;

var _vue = require("vue");

var MyPagination = (0, _vue.defineComponent)({
  props: {
    data: {
      type: Object,
      required: true
    },
    onChange: {
      type: undefined
    }
  },
  emits: ["change"],
  setup: function setup(props, context) {
    var page = (0, _vue.ref)({});

    var onChange = function onChange(current, pageSize) {
      context.emit("change", {
        page: current,
        perPage: pageSize
      });
    };

    var onShowSizeChange = function onShowSizeChange(current, pageSize) {
      console.log(current);
      context.emit("change", {
        page: 1,
        perPage: pageSize
      });
    };

    (0, _vue.watchEffect)(function () {
      if (props.data) {
        page.value = props.data;
      }
    });
    return function () {
      return (0, _vue.createVNode)("div", {
        "class": "pageContent"
      }, [(0, _vue.createVNode)((0, _vue.resolveComponent)("a-pagination"), {
        "current": page.value.current_page,
        "pageSize": page.value.per_page,
        "total": page.value.total,
        "showSizeChanger": true,
        "showTotal": function showTotal(total) {
          return "\u5171 ".concat(total, " \u6761");
        },
        "pageSizeOptions": ["10", "20", "50", "100", "200", "500", "10000"],
        "onChange": onChange,
        "onShowSizeChange": onShowSizeChange,
        "class": "pagination"
      }, null)]);
    };
  }
});
exports.MyPagination = MyPagination;