"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MyRadio = exports.MyRadioButton = void 0;

var _vue = require("vue");

var _core = require("@vueuse/core");

var MyRadioButton = (0, _vue.defineComponent)({
  props: {
    items: Array,
    value: [Number, String],
    disabled: {
      type: Boolean,
      "default": false
    }
  },
  setup: function setup(props, _ref) {
    var emit = _ref.emit;
    var selected = (0, _core.useVModel)(props, 'value', emit);
    return function () {
      var _a;

      return (0, _vue.createVNode)((0, _vue.resolveComponent)("a-radio-group"), {
        'value': selected.value,
        "onUpdate:value": function onUpdateValue($event) {
          return selected.value = $event;
        },
        "disabled": props.disabled
      }, {
        "default": function _default() {
          return [(_a = props.items) === null || _a === void 0 ? void 0 : _a.map(function (res) {
            return (0, _vue.createVNode)((0, _vue.resolveComponent)("a-radio-button"), {
              "value": res.value
            }, {
              "default": function _default() {
                return [res.label];
              }
            });
          })];
        }
      });
    };
  }
});
exports.MyRadioButton = MyRadioButton;
var MyRadio = (0, _vue.defineComponent)({
  props: {
    items: Array,
    value: [String, Number],
    disabled: {
      type: Boolean,
      "default": false
    }
  },
  setup: function setup(props, _ref2) {
    var emit = _ref2.emit;
    var selected = (0, _core.useVModel)(props, 'value', emit);
    return function () {
      var _a;

      return (0, _vue.createVNode)((0, _vue.resolveComponent)("a-radio-group"), {
        'value': selected.value,
        "onUpdate:value": function onUpdateValue($event) {
          return selected.value = $event;
        },
        "disabled": props.disabled
      }, {
        "default": function _default() {
          return [(_a = props.items) === null || _a === void 0 ? void 0 : _a.map(function (res) {
            return (0, _vue.createVNode)((0, _vue.resolveComponent)("a-radio"), {
              "value": res.value
            }, {
              "default": function _default() {
                return [res.label];
              }
            });
          })];
        }
      });
    };
  }
});
exports.MyRadio = MyRadio;