"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MyMultipleSelect = exports.MySelect = void 0;

var _vue = require("vue");

var _core = require("@vueuse/core");

var MySelect = (0, _vue.defineComponent)({
  props: {
    items: Array,
    value: [Number, String],
    placeholder: {
      type: String,
      "default": '请选择'
    },
    width: {
      type: String,
      "default": '200px'
    }
  },
  setup: function setup(props, _ref) {
    var emit = _ref.emit;
    var selected = (0, _core.useVModel)(props, 'value', emit);
    return function () {
      var _a;

      return (0, _vue.createVNode)((0, _vue.resolveComponent)("a-select"), {
        "style": {
          width: props.width
        },
        'value': selected.value,
        "onUpdate:value": function onUpdateValue($event) {
          return selected.value = $event;
        },
        "allowClear": true,
        "placeholder": props.placeholder
      }, {
        "default": function _default() {
          return [(_a = props.items) === null || _a === void 0 ? void 0 : _a.map(function (res) {
            return (0, _vue.createVNode)((0, _vue.resolveComponent)("a-select-option"), {
              "value": res.value
            }, {
              "default": function _default() {
                return [res.name];
              }
            });
          })];
        }
      });
    };
  }
});
exports.MySelect = MySelect;
var MyMultipleSelect = (0, _vue.defineComponent)({
  props: {
    items: Array,
    value: Array || undefined,
    placeholder: {
      type: String,
      "default": '请选择'
    },
    width: {
      type: String,
      "default": '200px'
    }
  },
  setup: function setup(props, _ref2) {
    var emit = _ref2.emit;
    var selected = (0, _core.useVModel)(props, 'value', emit);
    return function () {
      var _a;

      return (0, _vue.createVNode)((0, _vue.resolveComponent)("a-select"), {
        "style": {
          width: props.width
        },
        "mode": "multiple",
        'value': selected.value,
        "onUpdate:value": function onUpdateValue($event) {
          return selected.value = $event;
        },
        "allowClear": true,
        "placeholder": props.placeholder
      }, {
        "default": function _default() {
          return [(_a = props.items) === null || _a === void 0 ? void 0 : _a.map(function (res) {
            return (0, _vue.createVNode)((0, _vue.resolveComponent)("a-select-option"), {
              "value": res.value
            }, {
              "default": function _default() {
                return [res.name];
              }
            });
          })];
        }
      });
    };
  }
});
exports.MyMultipleSelect = MyMultipleSelect;